0

I followed the documentation to upgrade here from 2.5.5 to 2.7

However, doing the steps, I saw nothing that would help me update the database. No wizard, no tutorial or documentation.

What is the proper way to update the database?

UPDATE: Here is the image after upgrading

4
  • I did the same, two days ago, and everything was fine. You have to be sure the PHP user has privileges to write on the config.php
    – Sobral
    Sep 5 '13 at 14:06
  • Have you compared you database and table structure to the ExpressionEngine 2.7.0 schema? Sep 6 '13 at 1:40
  • Your question asks "what is the proper way to update the database". Running the installation wizard is the proper way to update the database. If you're having problems after running the upgrade, I suggest you ping EllisLab about it - because their updater may not be working properly. Was your EE installation previously upgraded from EE1.x, or was it a clean install with some version of 2.x? If so, that information may be of use to the EllisLab folks for troubleshooting.
    – user800
    Sep 6 '13 at 2:37
  • My version was updated from EE 2.5.5 to 2.7.0. You are right that it may be the problem with the updater. I will try to reset my installation and do the update again. Sep 6 '13 at 2:41
2

Step 5: Run the Update Wizard. That will update the database.

7
  • I already did. But it just said that I am already in the latest version. No wizard for database update was shown. Sep 5 '13 at 4:15
  • Then perhaps I don't understand your question. The image you linked for us is the typical post-update image that I've seen every time I update my various ExpressionEngine installations. You have to delete the /system/installer/ folder before you'll be able to see the site - that's done as a security precaution - but unless you're seeing some error message, the database has been updated. It's done "in the background" during the upgrade process, it's not a separate step that you have to take or initiate. But you do have to delete that /system/installer/ folder and all of its files to see the CP.
    – user800
    Sep 5 '13 at 16:41
  • There was no problem on any steps. I was able to go to the last update page without any problems. I only noticed the problems when I started clicking around the Control Panel. I got SQL errors such as missing fields, tables, etc. I did an investigation into the database and compared it to the schema specified by ExpressionEngine 2.7.0. That is when I realized that my database retained its old structure and did not match the structure in ExpressionEngine 2.7.0. It seemed to me that it did not update the database. Sep 6 '13 at 1:40
  • If you're seeing those kinds of problems (would have been nice to hear about that in the original question, BTW) I would: 1) make a copy of the "after-upgrade" database and screenshot these other errors you're getting; 2) roll back the EE install and database to 2.5.5; 3) report the problems to the Ellislab folks/submit a ticket and attach all error-message/db schema screenshots so that the EllisLab folks can properly troubleshoot and fix.
    – user800
    Sep 6 '13 at 2:34
  • Okay I tried updating again. Now I see the part where it is trying to update the database. It seemed to migrate nicely. However, my safecracker forms are still there. I also think that the safecracker data is still in the database. So do I manually uninstall safecracker now? Sep 6 '13 at 7:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.